#include <stdio.h>				// I/O Functions
#include <s3c44b0x.h>

extern void init_timer (void);			// Initialize Timer
extern volatile unsigned long timeval;		// Current Time Tick
extern void init_serial (void);			// Initialize Serial Interface


/**/
/*
void wait() {
int d;
 for (d = 0; d < 1000000; d++) {
 }
}
*/

/**/
void wait (unsigned long time) {		// Wait Function - wait for <time> ms
  unsigned long tick;

  tick = timeval;
  while ((timeval - tick) < time);		// Wait for specified Time
}


/*********************** M A I N *********************************************************/
int main () {

  init_timer();					// Initialize Timer
  init_serial();				// Initialize Serial Interface

  PORTC &= ~(LCD_Light);			//  
 // pPIO->PCONE = 0x000050A8;

 for (;;) {  /*   */
   PORTC |= (LCD_Light);			//  
	 pPWM->TCON   |= T0_START ;     /* Start Timer 0 (Auto Reload) */
   printf ("Port C.3 is now 1!\n");
   wait(100);					// Wait 300ms
   PORTC &= ~(LCD_Light);			//  Off
	 pPWM->TCON   &= ~(T0_START) ;     /* Stop Timer 0 (Auto Reload) */
   printf ("Port C.3 is  0!\n");
   wait(400);					// Wait 300ms
  }	
}

